<?php

namespace App\Repositories;

use App\Models\Branches;
use App\Repositories\BaseRepository;

class BranchesRepository extends BaseRepository
{
    protected $fieldSearchable = [
        'name',
        'phone',
        'email',
        'address',
        'image_name',
        'detail',
        'status',
        'company_id'
    ];

    public function getFieldsSearchable(): array
    {
        return $this->fieldSearchable;
    }

    public function model(): string
    {
        return Branches::class;
    }
}
